; When you're not using protected mode, you can't use extended registers
; These macros greatly simplify shared 16/32-bit code
;
; Whenever you want to use a register which is the current word size,
; use the form eax. In protected mode, it will
; be intepreted 32-bit, and in 16-bit mode, it will be converted to the
; 16-bit "AX" form by the macro preprocessor.
;
%ifdef PMODE
BITS 32
%else
%define eax ax
%define ebx bx
%define ecx cx
%define edx dx
%define esi si
%define edi di
%define esp sp
%define ebp bp
%endif
